Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
weakmap Struct Reference

## Data Fields
st_table * | obj2wmap
st_table * | wmap2obj
VALUE | final

## Detailed Description

Definition at line 6312 of file gc.c.

## Field Documentation

VALUE weakmap::final

Definition at line 6315 of file gc.c.

Referenced by wmap_allocate(), wmap_aset(), and wmap_mark().

st_table* weakmap::obj2wmap

Definition at line 6313 of file gc.c.

Referenced by wmap_allocate(), wmap_aset(), wmap_finalize(), wmap_free(), wmap_mark(), and wmap_memsize().

st_table* weakmap::wmap2obj

Definition at line 6314 of file gc.c.

Referenced by wmap_allocate(), wmap_aref(), wmap_aset(), wmap_each(), wmap_each_key(), wmap_each_value(), wmap_finalize(), wmap_free(), wmap_inspect(), wmap_keys(), wmap_memsize(), wmap_size(), and wmap_values().

The documentation for this struct was generated from the following file:

- gc.c